/**********************************************************************
 * perditiondb_postgresql.h                                  April 2000
 * Horms                                            horms@vergenet.net.
 *
 * Access a PostgreSQL database
 *
 * Adapted from code contributed for access to MySQL by:
 * Frederic Delchambre                                     October 1999
 * N.T.S. / Freegates                                dedel@freegates.be
 *                                             http://www.freegates.be/
 *                                                   http://www.nts.be/
 **********************************************************************/

#ifndef PERDITIONDB_POSTGRESQL_H
#define PERDITIONDB_POSTGRESQL_H

#include "log.h"
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdio.h>
#include <pgsql/libpq-fe.h>
#include <perdition_adt.h>

#define PERDITIONDB_POSTGRESQL_FIELD_DELIMITER  ':'
#define PERDITIONDB_POSTGRESQL_MAX_SLEEP        1800
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBHOST   "localhost"
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBPORT   NULL
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBNAME   "dbPerdition"
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBTABLE  "tblPerdition"
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBUSER   "perdition"
#define PERDITIONDB_POSTGRESQL_DEFAULT_DBPWD    "perdition"

#define PERDITIONDB_POSTGRESQL_DBHOST   0
#define PERDITIONDB_POSTGRESQL_DBNAME   1
#define PERDITIONDB_POSTGRESQL_DBPORT   2
#define PERDITIONDB_POSTGRESQL_DBTABLE  3
#define PERDITIONDB_POSTGRESQL_DBUSER   4
#define PERDITIONDB_POSTGRESQL_DBPWD    5

int dbserver_fini(void);

int dbserver_init(char *options_str);

int dbserver_get(
  char   * key_str,
  char   * options_str,
  char   **str_return,
  size_t *len_return
);

#endif
